

clear

*******************************************************************************************************;
*** 																								***			
***								STATA DO FILE FOR REPLICATION OF RESULTS FOR						***
***																									***
***									  		Raschky (2013). 										***
***						``The Media and Discretionary Behaviour of Bureaucrats ''					***
***								Applied Economics Letters, 20(10), 945-948.							***
***																									***
***										    														***
***																									***
*******************************************************************************************************

capture log close

*cd /*[PATH]*/

use Corps_News_Data.dta




***************************************************************************************************************************************************
/*Table 1.  Descriptive statistics.*/
***************************************************************************************************************************************************

sum flood_corps_00 corps news_years  damage_mio


***************************************************************************************************************************************************
/*Table 2. Unit-root test.*/
***************************************************************************************************************************************************


dfgls  flood_corps_00 , maxlag(2) 
dfgls corps ,  maxlag(2)
dfgls news_years ,  maxlag(2)
dfgls damage_mio , maxlag(2)

dfuller  flood_corps_00 , lags(2)  
dfuller corps , lags(2) 
dfuller news_years , lags(2) 
dfuller damage_mio , lags(2) 

pperron  flood_corps_00 , lags(2)  
pperron corps , lags(2) 
pperron news_years , lags(2) 
pperron damage_mio , lags(2) 


dfgls  d.flood_corps_00 , maxlag(2) 
dfgls d.corps ,  maxlag(2) 
dfgls d.news_years ,  maxlag(2) 
dfgls d.damage_mio , maxlag(2) 

dfuller  d.flood_corps_00 , lags(2)  
dfuller d.corps , lags(2) 
dfuller d.news_years , lags(2) 
dfuller d.damage_mio , lags(2) 

pperron  d.flood_corps_00 , lags(2)  
pperron d.corps , lags(2) 
pperron d.news_years , lags(2) 
pperron d.damage_mio , lags(2) 


***************************************************************************************************************************************************
/*Table 4. Estimated effects of media reports on flood control expenditure.*/
***************************************************************************************************************************************************


var d.flood_corps_00  d.corps  news_years d.damage_mio

***************************************************************************************************************************************************
/*Table 3. Lag selection-order criteria.*/
***************************************************************************************************************************************************

varsoc,  maxlag(3) 


***************************************************************************************************************************************************
/*Table 5. Granger causality test.*/
***************************************************************************************************************************************************
 
vargranger
 
 
 ***************************************************************************************************************************************************
/*Additional Results.*/
***************************************************************************************************************************************************

 
varstable



